Description

QGIS server has severe overhead when initializing qgis project cache when getting extent of layers in a project when data are postgis
views.

For big databases, this can be a real blocker (here 24s at first wms request, 7s for next queries.

This has been discussed here: performance questions

If this is possible with data providers, having an option in OWS project properties to ignore extent from data and trust project extent would
be a great solution. This is how mapserver works | guess.

History

#1 - 2016-02-23 08:42 AM - aperi2007 -

Just to explain how work mapserver:

The mapserver automatically retrieve the extend when it is not defined. To avoid this in mapserver is necessary to set the EXTENT parameter al layer
level.

So the Mapserver avoid to calculate it.

Actually in the ggis is possible to set the EXTENT only at project level.

Perhaps an enhance could go in the direction to set manually the extent also at layer level.

My 2ct.

#2 - 2016-03-26 02:16 AM - Jiirgen Fischer

- Subject changed from [Server] add an option to avoid querying data to collect extents to [add an option to avoid querying data to collect extents

#3 - 2016-03-27 07:44 AM - Anita Graser

- Subject changed from [add an option to avoid querying data to collect extents to Add an option to avoid querying data to collect extents

#4 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#5 - 2017-05-02 03:37 PM - Regis Haubourg
- Resolution set to fixed/implemented

- Description updated
- Status changed from Open to Closed

Done in QGIS 2.99, as a "trust" option for QGIS.

2025-04-26 1/1



https://lists.osgeo.org/pipermail/qgis-developer/2016-February/041534.html

